UbixOS V2 2.0

Data Structures | Macros | Functions
vfs.h File Reference
`#include <sys/types.h>`
`#include <vfs/file.h>`
`#include <vfs/mount.h>`
`#include <sys/sysproto_posix.h>`
`#include <sys/thread.h>`
`#include <net/net.h>`
`#include <ubixos/wait.h>`
Include dependency graph for vfs.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | fileSystem
| filesSystem Structure More...
struct | inode_operations
struct | super_block
struct | super_operations

## Macros
#define | fdAvail 1
#define | fdEof 4
#define | fdOpen 2
#define | fdRead 3
#define | fileAppend 0x0008
#define | fileBinary 0x0004
#define | fileRead 0x0001
#define | fileWrite 0x0002
#define | maxFd 32
#define | MAY_EXEC 1
#define | MAY_READ 4
#define | MAY_WRITE 2

## Functions
struct fileSystem * | vfs_findFS (int)
int | vfs_init ()
int | vfsRegisterFS (struct fileSystem)
| register a file system More...

## Macro Definition Documentation

## ◆ fdAvail

#define fdAvail 1

Definition at line 44 of file vfs.h.

## ◆ fdEof

#define fdEof 4

Definition at line 47 of file vfs.h.

## ◆ fdOpen

#define fdOpen 2

Definition at line 45 of file vfs.h.

## ◆ fdRead

#define fdRead 3

Definition at line 46 of file vfs.h.

## ◆ fileAppend

#define fileAppend 0x0008

Definition at line 52 of file vfs.h.

## ◆ fileBinary

#define fileBinary 0x0004

Definition at line 51 of file vfs.h.

## ◆ fileRead

#define fileRead 0x0001

Definition at line 49 of file vfs.h.

## ◆ fileWrite

#define fileWrite 0x0002

Definition at line 50 of file vfs.h.

## ◆ maxFd

#define maxFd 32

Definition at line 43 of file vfs.h.

## ◆ MAY_EXEC

#define MAY_EXEC 1

Definition at line 39 of file vfs.h.

## ◆ MAY_READ

#define MAY_READ 4

Definition at line 41 of file vfs.h.

## ◆ MAY_WRITE

#define MAY_WRITE 2

Definition at line 40 of file vfs.h.

## Function Documentation

## ◆ vfs_findFS()

struct fileSystem* vfs_findFS | ( | int |  | ) |

## ◆ vfs_init()

int vfs_init | ( |  | ) |

Definition at line 46 of file vfs.c.

References vitalsStruct::fileSystems, kprintf(), and systemVitals.

Here is the call graph for this function:

## ◆ vfsRegisterFS()

int vfsRegisterFS | ( | struct fileSystem | newFS | ) |

register a file system

This registers a new filesystem into the vfs which is referenced when trying to mount a device

Parameters

  newFS | pointer to fileSystem structure

Definition at line 79 of file vfs.c.

Referenced by fat_init().